org.eclipse.jetty.jndi.java

## Class javaURLContextFactory

- java.lang.Object
- - org.eclipse.jetty.jndi.java.javaURLContextFactory

- All Implemented Interfaces:
    javax.naming.spi.ObjectFactory

      public class javaURLContextFactory
      extends java.lang.Object
      implements javax.naming.spi.ObjectFactory

  javaURLContextFactory

  This is the URL context factory for the java: URL.

  #### Notes

  #### Usage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `javaURLContextFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getObjectInstance(java.lang.Object url, javax.naming.Name name, javax.naming.Context ctx, java.util.Hashtable env)` Either return a new context or the resolution of a url.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### javaURLContextFactory

          public javaURLContextFactory()

  - ### Method Detail

    - #### getObjectInstance

          public java.lang.Object getObjectInstance(java.lang.Object url,
                                           javax.naming.Name name,
                                           javax.naming.Context ctx,
                                           java.util.Hashtable env)
                                             throws java.lang.Exception

      Either return a new context or the resolution of a url.
      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Parameters:
        `url` - an `Object` value
        `name` - a `Name` value
        `ctx` - a `Context` value
        `env` - a `Hashtable` value
      Returns:
        a new context or the resolved object for the url
      Throws:
        `java.lang.Exception` - if an error occurs

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.